using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using PageAdmin.Common;
using System.Data;

namespace PageAdmin.Web.Areas.Admin.Controllers
{
    public class AutoTaskLogController : FileManageBaseController
    {

        public AutoTaskLogController() : base("Logs/AutoTask/", "Tool/Monitor")
        {
        }

        public new JsonResult Delete(FormCollection form) {
            string name =form["name"];
            IOHelper.DelFile("/Logs/Exception/" + name);
            TipsInfo tipInfo=new TipsInfo();
            return Json(tipInfo);
        }
        public JsonResult DeleteList(FormCollection form) {
            string absolutePath = form["absolutepath"];
            IOHelper.DelFile("/Logs/Exception/" + absolutePath);
            TipsInfo tipInfo = new TipsInfo();
            return Json(tipInfo);
        }
    }
}